source("R/load.R"); # Importe les fonctions
source("R/data.R"); # Charge les données

#-------------------------------------------------------------#
avis("Préparons le tableau")
#-------------------------------------------------------------#


work_cols<-c(
	"MS",
	"MI",
	"MF",
	"MR",
	"MN",
	"MC",
	"LID",
	"LIF",
	#"LED",
	#"LEF",
	"PPF",
	"PPD",
	#"PHD",
	#"LP",
	#"LD"
); # colonnes de travail
# PHF n'a pas d'intérêt: l'hétérogramme étant défini épistémologiquement par sont attachement à un linéogramme

# Cela ne sert à rien de s'encombrer directement de modalités de faible effectif. 
# Pour éviter cela, je regroupe les modalités à de très haut niveaux d'abstraction
source("R/group.R") # je regroupe, ce qui crée la variable tr



non_ponct_sup = list(
	MI=c("synt-arg","synt","pers","pers-arg","^pers","^pers-arg","phrase", "^phrase", "préd"),
	#LP=c("+","-"),
	#LD=c(0,1),
	MR=c(0,1), 
	MC=c(0,1), 
	MF=c("Co","P0","S1","R2","R3","A4","C5","C6","N","Sb","Dt","syntagme","base","Pp"), 
	MN=c("0", "pers", "^pers", "ch", "nm"), 
	LID=c(0,1), 
	LIF=c(0,1),
	MS=c(0,1)
	#LED=c(0,1), 
	#LEF=c(0,1)
)

ponct_sup = list(
	PPD = c(0,1),
#	PHD = c(0,1),
	PPF = c(0,1)
)

# construction et formatage de colonnes 
tb[,"RBc"]<-paste("\\citeyear{",tb[,"RB"],"}", sep="")
tb.enon<-tb[(tb[,"MF"] %in% c("P","N")),]
tb<-tb[!(tb[,"MF"] %in% c("P","N")) & tb[,"MI"]!="texte",]


attach(tb)
tb[(MI=="synt"|MI=="synt-arg") & MF=="P0","MF"]<-"Ap"
detach()

# Nature et fonction des intégrants
tb[,"MIN"]<-gsub("(.*)(-.*)","\\1",tb[,"MI"])
tb[,"MIF"]<-gsub("(.*)(-(.*))","\\3",tb[,"MI"])
tb[,"MIF"]<-ifelse(tb[,"MIF"]=="arg","arg","imm")
tb[,"MIF"]<-ifelse(tb[,"MIN"]=="phrase","txt",tb[,"MIF"])

# colonnes de travail
work_cols<-c("LID","LIF","MI","MF","MN","MR","PPD","PPF")




# MM
tw<-carmerge(tb, c("LID","LIF","MF","MN","MR"), "MM")


levels(tw$MC)<-c(
	"¬coord.",
	"début",
	"début, premier argument",
	"début, dernier argument",
	"début, argument central",
	"fin",
	"fin, premier argument",
	"fin, dernier argument",
	"fin, argument central",
	"centre",
	"centre, premier argument",
	"centre, dernier argument",
	"centre, argument central"
)

tw<-recod(tw, list(MC=c(
	"début, argument central" = "¬coord.",
	"fin, argument central"   = "¬coord.",
	"centre, argument central"= "¬coord."
)))

tw$MC<-factor(tw$MC)



#vim: encoding=utf-8 fileencoding=utf-8
